Bug 1581851 - perl-Reply missing dependency on perl-Config-INI-Reader-Ordered
Summary: perl-Reply missing dependency on perl-Config-INI-Reader-Ordered
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Reply
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-23 18:59 UTC by Ben Rosser
Modified: 2018-11-27 15:32 UTC (History)
3 users (show)

Fixed In Version: perl-Reply-0.42-5.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 15:32:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Rosser 2018-05-23 18:59:19 UTC
I attempted to install perl-Reply on Fedora 27 and run it. Doing so produced the following error message:

Can't locate Config/INI/Reader/Ordered.pm in @INC (you may need to install the Config::INI::Reader::Ordered module) (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at /usr/share/perl5/vendor_perl/Reply/Config.pm line 8.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Reply/Config.pm line 8.
Compilation failed in require at /usr/share/perl5/vendor_perl/Reply.pm line 12.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Reply.pm line 12.
Compilation failed in require at /usr/share/perl5/vendor_perl/Reply/App.pm line 10.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Reply/App.pm line 10.
Compilation failed in require at /usr/bin/reply line 7.
BEGIN failed--compilation aborted at /usr/bin/reply line 7.

I fixed this by installing perl-Config-INI-Reader-Ordered. I'm guessing there is a missing dependency here?

Comment 1 Petr Pisar 2018-05-24 09:00:17 UTC
You are right. perl-Reply is not properly packaged. Some Perl dependencies are missing there because of a packaging mistake. I will fix it. Thank you for the report.

Comment 2 Fedora Update System 2018-05-24 09:17:27 UTC
perl-Reply-0.42-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9499fa0582

Comment 3 Fedora Update System 2018-05-24 09:18:37 UTC
perl-Reply-0.42-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-27d4c3fe04

Comment 4 Fedora Update System 2018-05-24 13:46:00 UTC
perl-Reply-0.42-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-27d4c3fe04

Comment 5 Fedora Update System 2018-05-24 18:00:26 UTC
perl-Reply-0.42-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9499fa0582

Comment 6 Fedora Update System 2018-06-02 20:44:16 UTC
perl-Reply-0.42-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-06-02 21:07:04 UTC
perl-Reply-0.42-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Ben Cotton 2018-11-27 15:17:05 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.